Name: libtommath
Summary: highly optimized and portable routines for integer based number theoretic applications
Version: 0.38
Release: 1
License: Public Domain
Group: Development/Libraries
Source: http://math.libtomcrypt.org/files/ltm-%{version}.tar.bz2
Patch0: libtommath-0.38-shared-lib.patch
BuildRoot: %{_tmppath}/%{name}
URL: http://math.libtomcrypt.org/
Packager: Bruce Guenter <bruce@untroubled.org>
BuildRequires: libtool

%description
LibTomMath provides highly optimized and portable routines for a vast
majority of integer based number theoretic applications (including
public key cryptography). LibTomMath is not a cryptographic toolkit
itself but it can be used to write one [Used in LibTomCrypt for RSA, DH
and ECC public key routines].

%package devel
Summary: Headers and libraries for libtommath
Group: Development/Libraries

%description devel
This package contains the headers and library files necessary for
building applications with libtommath.

%prep
%setup
%patch0 -p1

%build
make -f makefile.shared CFLAGS="%{optflags} -I."

%install
rm -fr %{buildroot}
mkdir -p %{buildroot}/usr

make -f makefile.shared \
	DESTDIR=%{buildroot} \
	LIBPATH=%{_libdir} \
	INCPATH=%{_includedir} \
	GROUP=`id -g` \
	USER=`id -u` \
	install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%doc LICENSE *.txt *.pdf
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
